/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 * 
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.query.api;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public interface OperationType {

	short CARTESIAN 		= 1;
	short INTERSECTION 		= 2;
	short JOIN_PROJECT		= 3;
	short NEST 				= 4;
	short PROJECT 			= 5;
	short SELECT_PROJECT 	= 6;
	short UNION 			= 7;
	short UNNEST 			= 8;
	short LEFT_JOIN			= 9;
}
