/**
 * Copyright (C) 2001-2006 France Telecom R&D
 */
package org.objectweb.medor.eval.lib;

import org.objectweb.medor.api.EvaluationException;
import org.objectweb.medor.api.MedorException;
import org.objectweb.medor.datasource.api.Wrapper;
import org.objectweb.medor.eval.api.EvaluationMetaData;
import org.objectweb.medor.expression.api.ParameterOperand;
import org.objectweb.medor.query.api.QueryLeaf;
import org.objectweb.medor.query.api.QueryTree;

public class UpdateEvaluator extends DeleteEvaluator {

    public UpdateEvaluator(QueryTree query)
        throws EvaluationException {
        super(query);
    }

    protected long perfom(Wrapper w, 
            QueryLeaf ql, 
            ParameterOperand[] parameters, 
            Object conn, 
            EvaluationMetaData emd) throws MedorException {
        return w.updateData(ql, parameters, conn, emd);
    }

}
